4

I've installed LibreOffice 5.2.3 from snap on my notebook

sudo snap install libreoffice

libreoffice (stable) 5.2.3.2 from 'canonical' installed

Now, I'd like to run it. However, calling it from the Unity menu or simply evoking it from command line only starts up LibreOffice 5.2.2.2

Do I need to remove LibreOffice that came through apt? Isn't it supposed to be a independent container, then I should also be able to run it without removing the older version.

  • I've downloaded libreoffice from snappy on my work computer and here, unity shows all icons, the ones from deb and the ones from snappy. This is another behavior compared to my notebook - and somehow more what I expected. Two versions of the same should give you all the icons, for both versions. – Philippe Nov 4 '16 at 0:35
3

If you still have LibreOffice .debs installed then you're probably using the launchers for that version instead of the snapped versions. I found it confusing to have two sets of icons so I removed the .deb version.

After I followed these instructions I was able to remove the duplicate launchers and the ones that come with the snapped LibreOffice.

For reference the .desktop files that make the launchers are located in /var/lib/snapd/desktop/applications

As of this answer, the icons launch LibreOffice fine, but for me they show up as blank icons instead of the usual icons, I suspect this is a bug:

enter image description here

There still appear to be a few bugs with launchers from snapped applications, these might be of interest to you (Thanks Rinzwind for finding these):

| improve this answer | |
  • so, but then I would have to remove LibreOffice that I installed from apt. That's ok, but I also wanted to see whether version 5.2.3 works well, before removing the older one. – Philippe Nov 3 '16 at 19:16
  • Yeah, you could have both in there, but I found it confusing, you could perhaps run it from the CLI a few times to see if it works for you before removing it. – Jorge Castro Nov 3 '16 at 19:25
  • Or perhaps put the ones you want on your launcher so you know which one is which. – Jorge Castro Nov 3 '16 at 19:25
  • One of the bugs has a workaround: bugs.launchpad.net/ubuntu/+source/snapd/+bug/1623580/comments/3 – Rinzwind Nov 3 '16 at 19:26
2

In the desktopfiles

/usr/share/applications/libreoffice-* 

I noted that libreoffice is called via the libreoffice command. So, as a workaround, I'm resetting the softlink in /usr/bin/libreoffice to point to /snap/bin/libreoffice and thus instead of starting the deb verision it starts the snap version: First I removed the old link

sudo rm /usr/bin/libreoffice

and then set the new to the snap path

sudo ln -s /snap/bin/libreoffice /usr/bin/libreoffice

I'm not accepting this as the correct answer, as it is merely a workaround, and as Jorge pointed out, there are still a number of bugs related to this that most likely will address this issue in future.

| improve this answer | |
1

If you want to use both the normal installed Libreoffice and the snap version you can start the snap version by starting libreoffice WITH the path to the executable from the snap.


From Libreoffice snap download page:

Running the LibreOffice version installed as snap

After installing, the version of LibreOffice installed via snap can be started with the command:

/snap/bin/libreoffice
| improve this answer | |
  • You sure? I have icons for my snapped libreoffice. – Jorge Castro Nov 3 '16 at 19:01
  • well, the only way to start it was by snap run libreoffice – Philippe Nov 3 '16 at 19:01

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.